;DN.INI is a text configuration file of DOS Navigator.
;There are many DOS Navigator global variables set in it such that
;most likely you will not need altering their values often. Be
;attentive while editing this file: enter correct values!

;DOS Navigator parameters may be of the following types:

; * bool Ä boolean, accepts values false/true, 0/1, no/yes;
; * long Ä integer, accepts values from 0 to 2147483647;
; * str  Ä string, accepts values of a sequence up to 255 chars long.

;Below is the description of all the DN.INI parameters:

[Interface]

ShowCopyTime=1
;ShowCopyTime = bool
;   COPY process timer switch (boolean expression). With ShowCopyTime=1
;   DN shows time and speed of copying files during the copy process.
;   (default: 0)

HistoryButtonChars=ÞÝ
;HistoryButtonChars = str
;   In this case displaying history button in dialogs will use a
;   limited chars set.
;   (default: 'ÞÝ')

PoorFrames=0
;PoorFrames = bool
;   Value 1 declares availability of not all the pseudographic chars
;   in the used codepage. In this case displaying frames will use a
;   limited chars set.
;   (default: 0)

UseF3InViewer=0
;UseF3InViewer = long
;   When 0, pressing F3 in the file view makes no action. When 1,
;   pressing F3 closes the view window. When 2, pressing F3 switches
;   through view in text, hex and dump modes.
;   (default: 0)

UseEnterInViewer=0
;UseEnterInViewer = long
;   When 0, pressing Enter in the file view makes no action. When 1,
;   pressing Enter closes the view window. When 2, pressing Enter
;   switches through view in text, hex and dump modes.
;   (default: 0)

PanelDescrDrive=
PanelDescrFind=
PanelDescrTemp=
PanelDescrArc=
PanelDescrArvid=
;PanelDescrDrive = str
;PanelDescrFind  = str
;PanelDescrTemp  = str
;PanelDescrArc   = str
;PanelDescrArvid = str
;   User descriptions for columns setup menu items displayed by Alt-_.
;   Descriptions for each columns number are separated by `#' char.
;   (default: '')

PreserveMenuPositions=0
;PreserveMenuPositions = bool
;   If on, current positions in all menus between DOS Navigator
;   launches are saved.
;   (default: 0)

HistoryErrorBeep=1
;HistoryErrorBeep = bool
;   If on, pressing Del at a `frozen' element in the input history
;   makes bell. Otherwise pressing Del at such an element is ignored.
;   (default: 1)

ReuseEditors=0
ReuseViewers=0
;ReuseEditors = long
;ReuseViewers = long
;   Specify actions made when a file opened with the editor or viewer
;   is tried opening with one of them again. Accept values:
;   0 Ä open the file once more in a new window;
;   1 Ä request opening a new window;
;   2 Ä show already open window.
;   ReuseEditors and ReuseViewers make this setting for the editor
;   and the viewer respectively.
;   (default: 0)

ReflectCopyDirection=0
;ReflectCopyDirection = bool
;   When 1, the copying process gauge grows from right to left while
;   copying from the right panel to the left one.
;   (default: 0; i.e. always from left to right)

FadeDelay=0
;FadeDelay = long
;   Sets shadowing visual effects when starting/quitting DOS Navigator
;   (tunes shadowing speed). Recommended value is 5.
;   (default: 0; i.e. effects off)

VertScrollBarChars=±þ²
;VertScrollBarChars = str
;   Specifies displaying a vertical scroll bar. Requires 5 chars:
;   upper glyph, lower glyph, bar char, lift glyph, empty bar char.
;   Written as a string of 5 chars.
;   (default: '±þ²')

HorizScrollBarChars=±þ²
;HorizScrollBarChars = str
;   Specifies displaying a horizontal scroll bar. Requires 5 chars:
;   left glyph, right glyph, bar char, lift glyph, empty bar char.
;   Written as a string of 5 chars.
;   (default: '±þ²')

SystemMenuChar=4
;SystemMenuChar = long
;   Specifies char used for denoting the first submenu of the main
;   menu. The char is specified by its ASCII code.
;   Note: If you want `ð' instead of `', then set 240.
;   (default: 4)

DriveSelectVCenter=0
;DriveSelectVCenter = bool
;   Sets displaying a disk change dialog (Alt-F1/F2) in the panel
;   center.
;   (default: 0)

WinManagerSelectNext=1
;WinManagerSelectNext = bool
;   Choosing window by Alt-0 does not select the current window but
;   the next one.
;   (default: 1)

DriveInfoType=2
;DriveInfoType = long
;   Controls displaying the auxiliary information in the disk
;   change dialog (Alt-F1/F2). Accepts a combination of the following
;   values:
;    1 Ä show drive type;
;    2 Ä show the current catalog for local drives;
;    4 Ä show the current catalog for CD-ROM's;
;    8 Ä show server name/volume for network drives;
;   16 Ä include quick access directories into menu;
;   32 Ä show number of files on TEMP drive.
;   Note: You can also set the desired values in
;   `Setup|Configuration|Interface' dialog.
;   (default: 2; i.e. show the current catalog for local drives only)

CutDriveInfo=1
;CutDriveInfo = bool
;   Shortening disks description in disk change catalog (Alt-F1/F2).
;   (default: 1)

[Clock]

RightAlignClock=0
;RightAlignClock = bool
;   When 1, the clock is always placed close to the right screen edge.
;   (default: 0)

DaysOfWeek=(use language default)
;DaysOfWeek = str
;   Specifies weekdays names displayed in the clock area while Ctrl
;   pressed, and different from the current language defaults.
;   If the value length equals 14 or 21, then a 2- or 3-letter name of
;   the weekday is taken respectively. Weekdays names are enumerated
;   without spaces, starting from Sunday, eg. SunMonTueWedThuFriSat.
;   If the value has another length, empty or omitted, then 2-letter
;   names, defined in the resources for the current language
;   separately, used.
;   (default: '(use language default)')

ShowDayOfWeek=1
;ShowDayOfWeek = bool
;   Show weekday while Ctrl pressed.
;   (default: 1)

ShowCentury=1
;ShowCentury = bool
;   Show 4 digits of the year while Ctrl pressed.
;   (default: 1)

ShowSeconds=1
;ShowSeconds = bool
;   Show seconds in the clock.
;   (default: 1)

[SmartPad]

LineChar=196
;LineChar = long
;   Specifies a char used for separation in SmartPad. The char is
;   specified by its ASCII code. The default pseudographic char (Ä)
;   may be inappropriate in some cases since it does not lend itself
;   to codepages translation.
;   (default: 196)

InsertDate=1
;InsertDate = bool
;   Stamp the date when opening SmartPad.
;   (default: 1)

[Game]

EnableGame=1
;EnableGame = bool
;   When 0, disable launching the built-in game.
;   (default: 1)

[Clipboard]

MaxClipboardSize=4096
;MaxClipBoardSize = long
;   The maximal accumulated ClipBoard size.
;   (default: 4096)

SaveClipboardOnExit=1
;SaveClipBoardOnExit = bool
;   When 1, save ClipBoard between launches.
;   (default: 1)

[Kernel]

AltGrAsAlt=1
;AltGrAsAlt = bool
:   When 1, AltGr and Alt are equal.
;   (default: 1)

DoVESATest=0
;DoVESATest = bool
;   When 1, the extended 132 columns wide VESA videomodes are
;   available, but Windows will do annoying switching into full screen.
;   (default: 0)

SmartWindowsBoxClose=0
;SmartWindowsBoxClose = bool
;   When 1, closing the console window in Windows 9x/2000 is
;   equivalent to pressing Alt-X in DOS Navigator.
;   (default: 0)

StoreVideoMode=0
;StoreVideoMode = long
;   When 0, the menu selected videomode is not saved. When 1, it is
;   saved as videomode 1. When 2, it is saved as videomode 2.
;   (default: 0)

HandleChDirCommand=1
;HandleChDirCommand = bool
;   Enables processing pass command `cd path' and D: by DOS Navigator
;   itself, without launching a command interpreter.
;   (default: 1)

CopyLimit=8192
;CopyLimit = long
;   Specifies OS copying buffer limitation in kilobytes.
;   Value 0 denotes no limitation.
;   (default: 8192; i.e. 8M)

ShowKeyCode=0
;ShowKeyCode = long
;   Debug flag showing keyboard scan codes. Accepts values:
;   0 Ä do not show scan codes;
;   1 Ä show scan code/code pairs in a separate window;
;   2 Ä show the scan code in the upper right corner;
;   3 Ä 1 and 2 simultaneously.
;   (default: 0)

AutoSave=1
;AutoSave = bool
;   Resave all the DN.INI parameters at startup.
;   (default: 1)

UseLFN=1
;UseLFN = bool
;   Try using long filenames or work with short ones always.
;   (default: 1)

[Editor]

RecombineLongLines=0
;RecombineLongLines = bool
;   As formerly, strings more than 255 chars long are anyway split by
;   several parts when loaded. But now, if the option is on, any
;   string exactly 255 or 254 chars long is concatenated with the next
;   string when saving or writing a block to a file. This allows
;   limited editing of files containing the long strings: You can edit
;   the last part of a long string in the usual way, while in the
;   previous parts only overwriting chars is possible without changing
;   the string length. To display the specific status of such the
;   strings, they are colored when cursor is placed on.
;   (default: 0)

AutoBracketPairs=()[]{}<>
;AutoBracketPairs = str
;   Specifies any number of chars pairs to be considered brackets for
;   AutoBrackets function.
;   Note: This parameter bears no relation to the brackets pair search
;   function.
;   (default: '()[]{}<>')

WinManagerPosToEdit=1
;WinManagerPosToEdit = bool
;   When Alt-0 pressed in the editor, cursor is placed in the next
;   window of the editor too but not any one.
;   Note: The flag effect is prior before WinManagerSelectNext.
;   (default: 1)

FastSearchDeep=0
;FastSearchDeep = long
;   Searching begin/end &c. pairs may fail at comments containing
;   these keywords (pairs count loses...). To avoid an unlimited
;   search through a file (wait too long), you are recommended to set
;   the maximal search depth (ca 300 lines).
;   (default: 0; i.e. unlimited search)

DefCodePage=Dos
;DefCodePage = str
;   String to specify code page for files that are opened or created
;   in built-in editor, but files that are absent in Editor History.
;   String value can be: DOS, Win, KOI8, Auto (code-page auto detect).
;   Note: For successful recognition of WIN or KOI codepage, the text
;   must contain uppercase, lowercase letters and vowels; at least 1
;   uppercase letter must be per 500..999 lowercase ones, but no more
;   then 1 uppercase letter must be per 5..9 lowercase ones; plus at
;   least 1 letter per 5..9 lowercase ones must be a vowel ("ë", "í",
;   "î", "ï" are not treated as vowels).
;   (default: Dos)

DefCodePageView=Dos
;DefCodePageView = str
;   Similar to DefCodePage. The only difference is that it has effect on
;   built-in viewer.
;   (default: Dos)

FastBookmark=1
;FastBookmark = bool
;   Displaying the quick bookmarks access line below the editor
;   window.
;   (default: 1)

ShowBookmarks=1
;ShowBookmarks = bool
;   Display bookmarks in the editor.
;   (default: 1)

AutoScopeDetect=1
;AutoScopeDetect = bool
;   The editor search/replace area automatic detection: If block
;   selected then in `Selected text' else `Global'.
;   (default: 1)

DrawRShift=0
;DrawRShift = bool
;   When 1, LShift draws single line, and RShift draws double one.
;   In the double line drawing mode do vice versa.
;   (default: 0)

Koi8rKeyMap=1
;Koi8rKeyMap = bool
;   When 0, the switching through DOS/WIN/KOI by F8 in the editor is
;   disabled and only switching DOS/WIN works.
;   Note: This parameter has no influence on the autodetection when
;   opening a file in the editor.
;   (default: 1)

UnlimitUnindent=0
;UnlimitUnindent = bool
;   When 0, a block is shifted left by Ctrl-K U while all the line
;   can shift. When 1, the shift is done always.
;   (default: 0)

[FilePanels]

QuickSearchType=1
;QuickSearchType = bool
;   Quick Search mode switch (boolean expression). Values:
;   0 - Quick Search highlights only files with precise beginning of
;       file name entered by user.
;   1 - and upon pressing "." (period) DN automaticallly adds wildcard
;       "*." to mask of Quick Search, i.e. it is not necessary to enter
;       a complete file name.
;   (default: 0)

QuickRenameInDialog=0
;QuickRenameInDialog = bool
;   Do quick file renaming (by Alt-F6) in a separate window instead of
;   the panel.
;   (default: 0)

LFNCutSide=1
;LFNCutSide = bool
;   This string defines how LFN is shown on information panel if file
;   name does not fit entirely in filename column. Boolean expression
;   value can be:
;   0 - show left part of LFN;
;   1 - show right part of LFN;
;   2 - show left part of LFN and file extention (if present).
;   (default: 1)

AlignLFNInBottom=1
;AlignLFNInBottom = bool
;   This string aligns LFN on information panel. Boolean expression
;   value can be:
;   0 - centre LFN on panel;
;   1 - align LFN left;
;   2 - align LFN right;
;   (default: 1)

ShowLongName=0
;ShowLongName = bool
;   This string defines whether LFN is shown on panel or not. Boolean
;   expression value can be:
;   0 - do not show LFN;
;   1 - do not show LFN if it is not equal to short file name (case
;       insensitive);
;   2 - show LFN if it is not equal to short file name;
;   3 - show LFN in any case.
;   (default: 0)

ShowFileMask=1
;ShowFileMask = bool
;   If panel has a file mask different from *.*, it will be shown
;   instead of LFN.
;   (default: 1)

[NetInfo]

NoLevelsInfo=0
;NoLevelsInfo = bool
;   Do not display SFT/TTS Lev. network information.
;   (default: 0)

[Language]

ShowLanguageMenu=0
;ShowLanguageMenu = bool
;   When 1, selecting command `Change language' or pressing Alt-F12
;   displays a menu containing a list of the available languages
;   (their set is determined by scanning the resource files in DOS
;   Navigator and %DNDLG% catalogs). When 0, selecting command `Change
;   language' or pressing Alt-F12 causes automatic cyclic switch to
;   the next available language after the current one.
;   (default: 0)

HelpLanguageOverride=
;HelpLanguageOverride = str
;   Defines the language of the help. Its source is assumed a file
;   named as the language specified in the parameter with .HLP
;   extension.
;   (default: ''; i.e. the current language help file is used if exists,
;   otherwise the English language help file is used)

ActiveLanguage=
;ActiveLanguage = str
;   Defines the current language. Its resources are assumed files
;   named as the language specified in the parameter with the
;   appropriate extension.
;   (default: ''; i.e. environment variable %DNLNG% [if it is set],
;   then English language is the first from list of languages)

[Calendar]

OptionFlags=0
;OptionFlags = long
;   Defines main calendar settings. Accepts a combination of the
;   following values:
;    1 Ä messages falling on a day off will be overwritten with
;        another events even if their categories are higher;
;    2 Ä disables <clock_week_days> rule;
;    4 Ä disables <day_of_week_1> rule;
;    8 Ä enables the indicator showing the number of the week and day;
;   16 Ä when SundayFirst = 1, the week number on the indicator will
;        be incompatible with IS-8601 international standard but
;        `correct' from the standpoint of the calendar itself since
;        the week number will be constant during all the week starting
;        from Sunday and finishing on Saturday.
;   (default: 0)

DefaultInfo=
;DefaultInfo = str
;   Defines the default value for the dates belonging to none of the
;   categories.
;   (default: '')

SundayFirst=2
;SundayFirst = long
;   When 1, Sunday is considered the 1st day of week. When 0, Sunday
;   is considered the last one. When 2, this parameter is detected
;   automatically.
;   (default: 2)

ShowOnStartup=0
;ShowOnStartup = bool
;   Display the calendar window immediately after DOS Navigator
;   startup.
;   (default: 0; i.e. do not display)
